# 变更日志

## v0.2.0 (2025-06-20)

### 包名和接口更新

- 将包名从 `videomcp` 更改为 `clipmcp`，以更好地反映实际功能
- 更新了所有内部导入路径，确保代码一致性
- 修复了 uvx 缓存问题，确保命令行工具正常工作
- 更新了所有示例文件和文档，使用新的包名
- 保持与现有环境变量和配置的兼容性
- 增强了包安装过程的稳定性

## 2023-07-10

### 服务器改进
- 增强服务器错误处理能力，添加更详细的日志记录
- 添加API连接测试，在服务器启动时验证API密钥是否有效
- 添加对模板列表的查询功能，确保生成图像所需的模板数据可用
- 添加初始化消息，在服务器启动时通知客户端服务器状态
- 捕获并记录标准错误输出到文件，方便故障排查

### API接口改进
- 添加ping接口，用于客户端检查服务器是否正常运行
- 添加test_connection接口，用于验证API密钥是否有效
- 改进error handling，确保API错误不会导致服务器崩溃

### 测试工具
- 添加`api_connection_test.py`工具，用于直接测试API连接和密钥有效性
- 添加`mcp_test.py`工具，用于测试MCP服务器的功能
- 添加`standalone_test.py`，用于在不启动MCP服务器的情况下测试API功能
- 改进错误处理和调试输出，便于故障排查

### 安装和配置
- 添加`install.py`安装向导，简化安装和配置过程
- 改进`mcp.example.json`文件，增加服务描述和参数说明
- 添加环境变量支持，方便在不同环境中配置API密钥和其他参数
- 改进配置文件加载逻辑，确保在环境变量未设置的情况下也能正常工作

### 文档改进
- 添加README.md文件，包含安装和使用说明
- 添加CHANGES.md变更日志，记录改进内容
- 添加详细注释，方便代码理解和维护

### 修复的问题
- 修复签名验证失败的问题，确保API请求能够通过服务器验证
- 修复模板UUID错误的问题，确保能够使用正确的模板生成图像
- 修复请求参数结构不正确的问题，确保请求符合API要求
- 修复图像下载错误，确保生成的图像能够正确保存

## v1.0.0 (2025-05-12)

### MCP协议集成修复

#### 协议兼容性改进

- 实现了正确的Content-Length机制，确保符合Cursor MCP协议标准
- 使用ASCII编码确保JSON消息序列化和中文处理正确
- 添加了标准的JSON-RPC 2.0字段到所有消息
- 增强了协议处理和消息解析

#### 认证机制改进

- 重构了AuthManager类的get_auth_params方法，使其更健壮
- 添加了错误处理机制，确保认证过程更可靠
- 实现了规范化的参数处理和签名生成

#### 服务器稳定性

- 添加了标准输出重定向，防止调试信息干扰协议通信
- 实现了分级日志系统，分离常规日志与错误日志
- 增强了异常处理和错误恢复能力

#### 诊断工具

- 添加了test_json.py脚本用于测试JSON序列化
- 重构mcp_protocol_test.py用于测试MCP协议通信
- 提供了更详细的调试日志和错误报告

#### 配置简化

- 更新了mcp.example.json配置，与其他MCP扩展保持一致
- 支持从多个位置加载配置，提高灵活性
- 增加了配置文件自动检测和加载机制 